Subject: Re: Nextcloud Client (v10)

From: Leo Prikler <[email-masked]>
Date: Thu, 18 Feb 2021 23:26:30 +0100

Hi Raghav!

Am Donnerstag, den 18.02.2021, 15:23 -0500 schrieb Raghav Gururajan:
> Hi Leo!
> 
> > Interesting.  Is this due to CMakeLists picking up, that they're
> > missing and not replacing them with core stuff?
> > 
> > Perhaps you can patch the CMakeLists to add such support?
> > Alternatively, you might want to delete them and unpack the
> > upstream
> > ones to their locations.
> 
> I have asked upstream and they are looking into providing options to
> use 
> distribution packages. 
> https://github.com/nextcloud/desktop/issues/2929#issuecomment-780548919
Good to know.

> So once they update the source in the next-release, I will update
> the 
> package and remove the 3rdparty directory completely. :-)
In the meantime, would you mind packaging those 3rdparty sources from
their respective origins and add them in at build time?  That way, all
we'd need to transition from pseudo-unbundled to actually unbundled
would be to drop one phase.

> > Note, that you're missing a space here.  This would also match
> > PKGCONFIG_GETVAR(pkg var foobar_install_dir).
> 
> Changed in v10.
LGTM.

Regards,
Leo